Bug 139594 - [patch] x11/slim does not setlogin()
Summary: [patch] x11/slim does not setlogin()
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-14 09:40 UTC by Henry Hu
Modified: 2009-10-29 22:30 UTC (History)
0 users

See Also:


Attachments
file.diff (435 bytes, patch)
2009-10-14 09:40 UTC, Henry Hu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2009-10-14 09:40:01 UTC
x11/slim, as a login manager, does not setlogin(). Some software use getlogin() to decide the user name, so when user is using slim as the login manager, those software would get wrong results, and some programs refuse to start.

Fix: Apply the patch, which does setsid() and setlogin()

Patch attached with submission follows:
How-To-Repeat: 1. Install x11/slim and enable it
2. Install textproc/ibus and try to start it
Comment 1 Edwin Groothuis freebsd_committer 2009-10-14 09:40:10 UTC
Maintainer of x11/slim,

Please note that PR ports/139594 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139594

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-10-14 09:40:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2009-10-14 14:11:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 Tobias Roth 2009-10-18 09:16:20 UTC
Thanks for the update! Please commit, and also please change
maintainership from me to Henry (we discussed this through email).

Thanks,
Tobias
Comment 5 Martin Wilke freebsd_committer 2009-10-29 22:26:22 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2009-10-29 22:26:23 UTC
miwi        2009-10-29 22:26:14 UTC

  FreeBSD ports repository

  Modified files:
    x11/slim             Makefile 
  Added files:
    x11/slim/files       patch-switchuser.cpp 
  Log:
  - Fix setlogin()
  - Pass maintainership to submitter
  
  note:
   x11/slim, does not setlogin(). Some software use getlogin()
   to decide the user name, so when user is using slim as the
   login manager, those software would get wrong results, and
   some programs refuse to start
  
  PR:             139594
  Submitted by:   Henry Hu <henry.hu.sh@gmail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.18      +2 -2      ports/x11/slim/Makefile
  1.1       +13 -0     ports/x11/slim/files/patch-switchuser.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"